#ifndef __LCD_2x16_lcd_H
#define __LCD_2x16_lcd_H

//****************************************//*
#define      LCD_FIRST_ROW           0x80 //*
#define      LCD_SECOND_ROW          0xC0 //*
#define      LCD_THIRD_ROW           0x94 //*
#define      LCD_FOURTH_ROW          0xD4 //*
#define      LCD_CLEAR               0x01 //*
#define      LCD_RETURN_HOME         0x02 //*
#define      LCD_DIRECTION           0x06 //*
#define      LCD_CURSOR_OFF          0x0C //*
#define      LCD_UNDERLINE_ON        0x0E //*
#define      LCD_BLINK_CURSOR_ON     0x0F //*
#define      LCD_MOVE_CURSOR_LEFT    0x10 //*
#define      LCD_MOVE_CURSOR_RIGHT   0x14 //*
#define      LCD_TURN_OFF            0x00 //*
#define      LCD_TURN_ON             0x08 //*
#define      LCD_SHIFT_LEFT          0x18 //*
#define      LCD_SHIFT_RIGHT         0x1C //*
#define      LCD_CONTROLLER          0x33 //*
#define      LCD_SET_4BIT_MODE       0x32 //*
#define      LCD_FOR_2LINE           0x28 //*
//****************************************//*

void Lcd_Init(void);
void Lcd_Out(unsigned char P, unsigned char L, char *buffer);
void Lcd_Chr_CP(char data1);
void Lcd_Cmd(unsigned char data1);
void Lcd_One_Char(unsigned char P, unsigned char L, char ch);
#endif
